Name:           kleopatra
Version:        16.04.0
Release:        1%{?dist}
Summary:        KDE certificate manager and unified crypto GUI

License:        GPLv2+
URL:            http://projects.kde.org/?p=%{name}.git


%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  extra-cmake-modules >= 5.19.0
BuildRequires:  kf5-rpm-macros >= 5.19.0

BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Network)

BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5DocTools)

BuildRequires:  cmake(KF5Libkleo)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5Gpgmepp)

BuildRequires:  boost-devel

Requires:       kf5-filesystem >= 5.19.0

Requires:       kleopatra-libs%{?_isa} = %{version}-%{release}

%description
%{summary}.

%package        libs
Summary:        Runtime libraries for Kleopatra
%description    libs
%{summary}.

%prep
%setup -q -n %{name}-%{version}


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# Remove non-version .so files, we don't have -devel pkg anyway
rm -fv %{buildroot}%{_kf5_libdir}/libkleopatraclientcore.so
rm -fv %{buildroot}%{_kf5_libdir}/libkleopatraclientgui.so

%post
touch --no-create %{_kf5_datadir}/hicolor &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_kf5_datadir}/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kf5_datadir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kf5_datadir}/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:
fi

%files
#TODO: Missing upstream
#%license COPYING.LIB
%{_kf5_sysconfdir}/xdg/kleopatra.categories
%{_kf5_bindir}/kleopatra
%{_kf5_bindir}/kwatchgnupg
%{_kf5_qtplugindir}/kcm_kleopatra.so
%{_kf5_datadir}/appdata/org.kde.kleopatra.appdata.xml
%{_kf5_datadir}/applications/org.kde.kleopatra.desktop
%{_kf5_datadir}/applications/kleopatra_import.desktop
%{_kf5_datadir}/kconf_update/*
%{_kf5_datadir}/kservices5/kleopatra_*.desktop
%{_kf5_datadir}/kleopatra
%{_kf5_datadir}/kwatchgnupg
%{_kf5_datadir}/icons/hicolor/*/apps/kleopatra.*
%{_kf5_docdir}/HTML/en/kleopatra
%{_kf5_docdir}/HTML/en/kwatchgnupg

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
%{_kf5_libdir}/libkleopatraclientcore.so.*
%{_kf5_libdir}/libkleopatraclientgui.so.*


%changelog
* Tue May 03 2016 Daniel Vrátil <dvratil@fedoraproject.org> - 16.04.0-1
- Initial version
